// @file sns_raiseup.proto
//
// Defines standard message types for the RAISEUP
//
// Copyright (c) 2017 Qualcomm Technologies, Inc.
// All Rights Reserved.
// Confidential and Proprietary - Qualcomm Technologies, Inc.
syntax = "proto2";
import "nanopb.proto";
import "sns_std_sensor.proto";

enum sns_raiseup_msgid
{
  option (nanopb_enumopt).long_names = false;

  SNS_RAISEUP_MSGID_SNS_RAISEUP_DATA = 1027;
}


// Configuration Message
// Used to either request for a certain configuration of the Sim Sensor or
// alter an already existing configuration of the Simulation Sensor
// Uses sns_std_sensor_config defined in sns_std_sensor.proto
// The message field definitions are as follows:
// 1) float sample_rate
//      containing the required sample rate of the Sim sensor in hertz

// Data Message
// Output data event generated by the raiseup sensor.
message sns_raiseup_data
{
  // raiseup Vector along axis x,y,z in m/s2
  repeated float raiseup = 1 [(nanopb).max_count = 3];

  // Accuracy of the data
  required sns_std_sensor_sample_status accuracy = 2;
}


